## org.python.core
Class PySlot

    java.lang.Object
      org.python.core.PyObject
          org.python.core.PyDescriptor
              org.python.core.PySlot

All Implemented Interfaces:
  Serializable

    public class PySlot

extends PyDescriptor

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.python.core.PyObject
`PyObject.ConversionException`

Field Summary

Fields inherited from class org.python.core.PyObject
`TYPE`

Constructor Summary
`PySlot(PyType dtype, String name, int index)`

Method Summary
`void` `__delete__(PyObject obj)`
`PyObject` `__get__(PyObject obj, PyObject type)` Get descriptor for this PyObject.
`void` `__set__(PyObject obj, PyObject value)`
`String` `getName()` Return the name this descriptor is exposed as.
`PyObject` `getObjClass()` Return the owner class of this descriptor.
`boolean` `implementsDescrSet()`
`boolean` `isDataDescr()`
`void` `member_descriptor___delete__(PyObject obj)`
`PyObject` `member_descriptor___get__(PyObject obj, PyObject type)`
`void` `member_descriptor___set__(PyObject obj, PyObject value)`
`String` `toString()`

Methods inherited from class org.python.core.PyObject

`__abs__, __add__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delitem__, __delitem__, __delslice__, __delslice__, __dir__, __div__, __divmod__, __eq__, __findattr__, __findattr__, __findattr_ex__, __finditem__, __finditem__, __finditem__, __float__, __floordiv__, __ge__, __getattr__, __getattr__, __getitem__, __getitem__, __getnewargs__, __getslice__, __getslice__, __gt__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ifloordiv__, __ilshift__, __imod__, __imul__, __index__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __iter__, __iternext__, __itruediv__, __ixor__, __le__, __len__, __long__, __lshift__, __lt__, __mod__, __mul__, __ne__, __neg__, __nonzero__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __reduce__, __reduce_ex__, __reduce_ex__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __setattr__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __str__, __sub__, __tojava__, __truediv__, __unicode__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _iadd, _iand, _idiv, _idivmod, _ifloordiv, _ilshift, _imod, _imul, _in, _ior, _ipow, _irshift, _is, _isnot, _isub, _itruediv, _ixor, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asDouble, asIndex, asIndex, asInt, asInt, asIterable, asLong, asLong, asName, asName, asString, asString, asStringOrNull, asStringOrNull, delDict, delType, dispatch__init__, equals, fastGetClass, fastGetDict, getDict, getType, hashCode, implementsDescrDelete, implementsDescrGet, invoke, invoke, invoke, invoke, invoke, invoke, isCallable, isIndex, isMappingType, isNumberType, isSequenceType, noAttributeError, readonlyAttributeError, setDict, setType`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PySlot

    public PySlot(PyType dtype,
                  String name,
                  int index)

Method Detail

### implementsDescrSet

    public boolean implementsDescrSet()

  Overrides:
    `implementsDescrSet` in class `PyObject`

### isDataDescr

    public boolean isDataDescr()

  Overrides:
    `isDataDescr` in class `PyObject`

### __get__

    public PyObject __get__(PyObject obj,
                            PyObject type)

  Description copied from class: `PyObject`
  Get descriptor for this PyObject.

  Overrides:
    `__get__` in class `PyObject`
  Parameters:
    `obj` - - the instance accessing this descriptor. Can be null if this is being accessed by a type.
    `type` - - the type accessing this descriptor. Will be null if obj exists as obj is of the type accessing the descriptor.
  Returns:
    - the object defined for this descriptor for the given obj and type.

### member_descriptor___get__

    public PyObject member_descriptor___get__(PyObject obj,
                                              PyObject type)

### __set__

    public void __set__(PyObject obj,
                        PyObject value)

  Overrides:
    `__set__` in class `PyObject`

### member_descriptor___set__

    public void member_descriptor___set__(PyObject obj,
                                          PyObject value)

### __delete__

    public void __delete__(PyObject obj)

  Overrides:
    `__delete__` in class `PyObject`

### member_descriptor___delete__

    public void member_descriptor___delete__(PyObject obj)

### toString

    public String toString()

  Overrides:
    `toString` in class `PyObject`

### getName

    public String getName()

  Return the name this descriptor is exposed as.

  Returns:
    a name String

### getObjClass

    public PyObject getObjClass()

  Return the owner class of this descriptor.

  Returns:
    this descriptor's owner

Jython homepage